package ShowHideLeftMenu::Plugin;
use strict;
use base qw( MT::Plugin );

sub showhide_left_menu {
	my ($eh, $app, $tmpl_ref) = @_;
	my $static_path = $app->static_path;
	my $static_plugin_path = $static_path . 'plugins/ShowHideLeftMenu/'; 
	my $add_css ='<mt:setvarblock name="html_head" prepend="1"><link rel="stylesheet" type="text/css" href="'. $static_plugin_path . 'css/style.css" /></style></mt:setvarblock>';
	my $old = qq(<mt:setvarblock name="related_content">);
	my $new = <<'EOC';
<mt:setvarblock name="jq_js_include" append="1">
 var toggle_htm= '<a href="#" id="toggle_view"> &lt;&lt; </a>';
 var txt1='>>';
 var txt2='<<';
 jQuery("#container").prepend(toggle_htm);
// toggle view actions
 jQuery("#toggle_view").toggle(
  function () {
    jQuery(this).text(txt1);
    jQuery("#menu").addClass("wide_view_menu");
    jQuery("#main").addClass("wide_view_main");
  },
  function () {
    jQuery(this).text(txt2);
    jQuery("#menu").removeClass("wide_view_menu");
    jQuery("#main").removeClass("wide_view_main");
  }
);
</mt:setvarblock>
<mt:setvarblock name="related_content">
EOC

	$new =  $add_css . $new;
	$$tmpl_ref =~ s/$old/$new/;

}
1;